Bug 631667 - virt-viewer cannot connect to the guest when use UUID to wait for domain start
virt-viewer cannot connect to the guest when use UUID to wait for domain start
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: virt-viewer (Show other bugs)
6.1
All Linux
low Severity low
: rc
: ---
Assigned To: Daniel Berrange
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-09-08 02:23 EDT by dyuan
Modified: 2011-05-19 10:21 EDT (History)
6 users (show)

See Also:
Fixed In Version: virt-viewer-0.2.1-3.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-19 10:21:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix uuid wait (574 bytes, patch)
2011-02-03 11:46 EST, Daniel Berrange
no flags Details | Diff

  None (edit)
Description dyuan 2010-09-08 02:23:57 EDT
Description of problem:
virt-viewer cannot connect to the guest when I use UUID to wait for domain start.
but it can connect to the guest when I use ID or DOMAIN_NAME.

Version-Release number of selected component (if applicable):
virt-viewer-0.2.1-2.el6

How reproducible:
always

Steps to Reproduce:
1. get the domain uuid 
# virsh list
 Id Name                 State
----------------------------------
 24 vr-rhel6             running

# virsh domuuid vr-rhel6
780391eb-8f36-da88-e1c1-abce10c91f01

2. Shutdown the guest whose uuid is 780391eb-8f36-da88-e1c1-abce10c91f01

3. Run # virt-viewer -w 780391eb-8f36-da88-e1c1-abce10c91f01

4. Start the guest whose uuid is 780391eb-8f36-da88-e1c1-abce10c91f01


Actual results:
virt-viewer cannot connect to the guest when it start

Expected results:
virt-viewer connect to the guest when it start.

Additional info:
virt-viewer can connect to the guest when I use domain-name or domain-id
# virt-viewer -w vr-rhel6

# virt-viewer -w 25
Comment 3 Daniel Berrange 2011-02-03 11:46:15 EST
Created attachment 476821 [details]
Fix uuid wait
Comment 5 Daniel Berrange 2011-02-04 05:59:24 EST
Built into virt-viewer-0.2.1-3.el6
Comment 7 koka xiong 2011-02-23 00:44:31 EST
Verified with virt-viewer-0.2.1-3.el6
1. get the domain uuid 
virsh list 
 Id Name                 State
----------------------------------
  2 test                 running

# virsh domuuid test
7e29c962-97cc-6f78-6498-6119d11a7b4d

2.#virsh shutdown test

3.# virt-viewer -w 7e29c962-97cc-6f78-6498-6119d11a7b4d

4.#virsh start test

virt-viewer canconnect to the guest when it start

virt-viewer also support domain-name or domain-id

Verification is passed.
Comment 8 errata-xmlrpc 2011-05-19 10:21:57 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2011-0752.html

Note You need to log in before you can comment on or make changes to this bug.